﻿html, body {
    margin: 0;
    padding: 0;
}


#app {
    display: flex;
    height: 100vh;
    width: 100vw;
}


    #app .sidebar-container {
        transition: width .28s;
        width: 210px !important;
        background-color: #001529;
        height: 100%;
        position: fixed;
        font-size: 0px;
        top: 0;
        bottom: 0;
        left: 0;
        z-index: 1001;
        overflow: hidden;
    }


    #app .sidebar-logo-container {
        background: #001529;
    }

.sidebar-logo-container {
    position: relative;
    width: 100%;
    height: 50px;
    line-height: 50px;
    text-align: center;
    overflow: hidden;
}

#app .sidebar-container a {
    display: inline-block;
    width: 100%;
    overflow: hidden;
}

.sidebar-logo-container .sidebar-logo-link .sidebar-logo {
    width: 27px;
    height: 29px;
    vertical-align: middle;
    margin-right: 12px;
}

.sidebar-logo-container .sidebar-logo-link .sidebar-title {
    display: inline-block;
    margin: 0;
    color: #fff;
    font-weight: 600;
    line-height: 50px;
    font-size: 14px;
    font-family: Avenir, Helvetica Neue, Arial, Helvetica, sans-serif;
    vertical-align: middle;
}

#app .sidebar-container .el-menu {
    border: none;
    height: 100%;
    width: 100% !important;
}

#app .el-scrollbar {
    width: 100%;
}

#app .main-container {
    min-height: 100%;
    transition: margin-left .28s;
    margin-left: 210px;
    position: relative;
}

.fixed-header {
    position: fixed;
    top: 0;
    right: 0;
    z-index: 9;
    width: calc(100% - 210px);
    transition: width .28s;
}



.navbar {
    height: 50px;
    overflow: hidden;
    position: relative;
    background: #fff;
    box-shadow: 0 1px 4px #00152947;
    z-index: 1;
}

    .navbar .hamburger-container {
        line-height: 46px;
        height: 100%;
        float: left;
        cursor: pointer;
        transition: background .3s;
        -webkit-tap-highlight-color: transparent;
    }

.hamburger.is-active {
    transform: rotate(180deg);
}

.hamburger {
    display: inline-block;
    vertical-align: middle;
    width: 20px;
    height: 20px;
}

.navbar .hamburger-container {
    line-height: 46px;
    height: 100%;
    float: left;
    cursor: pointer;
    transition: background .3s;
    -webkit-tap-highlight-color: transparent;
    padding: 0px 15px;
}

[v-block="false"] {
    display: none !important;
}


.fixed_loading {
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

@keyframes rotate {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

.fixed_loading svg {
    width: 60px;
    height: 60px;
    animation: rotate 2s linear infinite;
}


.navbar .breadcrumb-container {
    float: left;
}


.navbar .breadcrumb-container {
    display: inline-flex;
    font-size: 14px;
    align-items: center;
    height: 50px;
    margin-left: 8px;
}

    .navbar .breadcrumb-container .no-redirect span {
        color: #97a8be;
        cursor: text;
    }

    .navbar .breadcrumb-container [role="presentation"] {
        font-size: 12px;
    }


.navbar .right-menu {
    float: right;
    height: 100%;
    height: 50px;
    align-items: center;
    display: flex;
}


    .navbar .right-menu .avatar-container {
        margin-right: 30px;
    }

        .navbar .right-menu .avatar-container .avatar-wrapper {
            margin-top: 10px;
            position: relative;
            cursor: pointer;
        }

.navbar .nickname {
    float: right;
    padding: 0 0 0 10px;
    line-height: 30px;
    outline: none;
    font-size: 13px;
}


*:focus {
    outline: none;
}

.fixed-header + .app-main {
    padding-top: 50px;
}

.app-main {
    height: 100vh;
    width: 100%;
    position: relative;
    overflow: hidden;
    background-color: #fff;
    box-sizing: border-box;
}


.app-content {
    padding: 0 20px;
    box-sizing: border-box;
    height: 100%;
}

    .app-content .container {
        display: flex;
        flex-direction: column;
        height: 100%;
    }

    .app-content .content {
        width: 100%;
        flex: 1 1 0%;
        height: 100%;
    }


.app-wrapper {
    position: relative;
    height: 100%;
    width: 100%;
}

#app .hideSidebar .sidebar-container {
    width: 63px !important;
}

#app .hideSidebar .main-container {
    margin-left: 54px !important;
}


.hideSidebar .fixed-header {
    width: calc(100% - 63px) !important;
}


#app .hideSidebar .el-menu--collapse .el-sub-menu > .el-sub-menu__title > span {
    height: 0;
    width: 0;
    overflow: hidden;
    visibility: hidden;
    display: inline-block;
}

.sidebar-logo-container .sidebar-logo-link .sidebar-logo {
    margin-right: 0 !important;
}

.sidebar-logo-container .sidebar-logo-link .sidebar-title {
    margin-left: 10px;
}

a {
    text-decoration: none;
}


.el-menu-item a {
    color: #fff;
}


.el-menu-item.is-active a {
    color: var(--el-menu-active-color);
}


.app-content .header {
    margin-top: 20px;
}


.el-form .el-form-item {
    margin-right: 10px;
}

.page_container {
    padding: 15px 0px;
    display: flex;
    align-items: center;
}



/**
flex布局
*/
/**
主轴为水平方向
*/
.flex-p {
    display: flex;
    display: -webkit-flex;
    flex-direction: row;
}

/**
主轴为垂直方向
*/
.flex-v {
    display: flex;
    display: -webkit-flex;
    flex-direction: column;
}

/**
主轴水平方向，垂直方向统统居中
*/
.flex-c {
    display: flex;
    display: -webkit-flex;
    justify-content: center;
    align-items: center;
}

/**
主轴水平方向居中
*/
.flex-pc {
    display: flex;
    display: -webkit-flex;
    justify-content: center;
}

/**
主轴垂直方向居中
*/
.flex-vc {
    display: flex;
    display: -webkit-flex;
    align-items: center;
}

/**
主轴水平方向两端分布
*/
.flex-between {
    display: flex;
    display: -webkit-flex;
    justify-content: space-between;
}

/**
主轴水平方向均匀分布
*/
.flex-around {
    display: flex;
    display: -webkit-flex;
    justify-content: space-around;
}

/**
主轴水平方向顺序
*/
.flex-start {
    display: flex;
    display: -webkit-flex;
    justify-content: flex-start;
}

/**
主轴水平方向逆序
*/
.flex-end {
    display: flex;
    display: -webkit-flex;
    justify-content: flex-end;
}

/**
主轴水平方向换行
*/
.flex-wrap {
    display: flex;
    display: -webkit-flex;
    flex-wrap: wrap;
}

/**
主轴水平方向不换行
*/
.flex-nowrap {
    display: flex;
    display: -webkit-flex;
    flex-wrap: nowrap;
}

.wrap-together {
    display: inline-block;
}

/* 统一字体颜色 */
.greenText {
    color: green;
}

.redText {
    color: red;
}

.yellowText {
    color: #996600;
}

.orangeText {
    color: #FAC200;
}

.blueText {
    color: blue;
}

.linkColor {
    color: #182fdb;
}

.linkColorw {
    color: #aeaeae;
}

.nowrap2 {
    display: -webkit-box;
    /* Safari */
    -webkit-line-clamp: 2;
    /* number of lines to show */
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.nowrap1 {
    display: -webkit-box;
    /* Safari */
    -webkit-line-clamp: 1;
    /* number of lines to show */
    -webkit-box-orient: vertical;
    overflow: hidden;
}

